import { defineCollection, z } from 'astro:content';

const blogCollection = defineCollection({
  schema: z.object({
    title: z.string(),
    date: z.date(),
    headerImg: z.string().optional(),
    description: z.string().optional(),
    icon: z.string().optional(),
    draft: z.boolean().optional(),
    featured: z.boolean().optional(),
    tags: z.array(z.string()).optional(),
    _layout: z.enum(['normal', 'transparent']).optional(),
  })
});

export const collections = {
  'blog': blogCollection,
  "projects": blogCollection,
  "photos": blogCollection,
};
